"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// meta.ts
var meta_exports = {};
__export(meta_exports, {
  embedScript: () => embedScript2,
  getEmbeddedScript: () => getEmbeddedScript2
});
module.exports = __toCommonJS(meta_exports);

// src/devcenter-scripts-v1-script-properties-embedded-scripts.http.ts
var import_rest_modules = require("@wix/sdk-runtime/rest-modules");
var import_rest_modules2 = require("@wix/sdk-runtime/rest-modules");
function resolveComWixpressMarketAimApiEmbeddedScriptsServiceUrl(opts) {
  const domainToMappings = {
    "api._api_base_domain_": [
      {
        srcPath: "/app-instance-manager-webapp",
        destPath: ""
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/apps",
        destPath: ""
      }
    ],
    "wixapis.com": [
      {
        srcPath: "/apps",
        destPath: ""
      }
    ],
    "dev._base_domain_": [
      {
        srcPath: "/_api/app-instance-manager",
        destPath: ""
      },
      {
        srcPath: "/api/v1/instance",
        destPath: "/v1/instance"
      },
      {
        srcPath: "/api/v1/scripts",
        destPath: "/v1/scripts"
      }
    ],
    "manage._base_domain_": [
      {
        srcPath: "/_api/app-instance-manager",
        destPath: ""
      }
    ],
    "www._base_domain_": [
      {
        srcPath: "/_api/app-instance-manager",
        destPath: ""
      }
    ],
    "editor._base_domain_": [
      {
        srcPath: "/_api/app-instance-manager",
        destPath: ""
      }
    ],
    "blocks._base_domain_": [
      {
        srcPath: "/_api/app-instance-manager",
        destPath: ""
      }
    ],
    "create.editorx": [
      {
        srcPath: "/_api/app-instance-manager",
        destPath: ""
      }
    ]
  };
  return (0, import_rest_modules2.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_app-management_embedded-scripts";
function embedScript(payload) {
  function __embedScript({ host }) {
    const metadata = {
      entityFqdn: "wix.devcenter.scripts.v1.script_properties",
      method: "POST",
      methodFqn: "com.wixpress.market.aim.api.EmbeddedScriptsService.EmbedScript",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressMarketAimApiEmbeddedScriptsServiceUrl({
        protoPath: "/v1/scripts",
        data: payload,
        host
      }),
      data: payload
    };
    return metadata;
  }
  return __embedScript;
}
function getEmbeddedScript(payload) {
  function __getEmbeddedScript({ host }) {
    const metadata = {
      entityFqdn: "wix.devcenter.scripts.v1.script_properties",
      method: "GET",
      methodFqn: "com.wixpress.market.aim.api.EmbeddedScriptsService.GetEmbeddedScript",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressMarketAimApiEmbeddedScriptsServiceUrl({
        protoPath: "/v1/scripts",
        data: payload,
        host
      }),
      params: (0, import_rest_modules.toURLSearchParams)(payload)
    };
    return metadata;
  }
  return __getEmbeddedScript;
}

// src/devcenter-scripts-v1-script-properties-embedded-scripts.meta.ts
function embedScript2() {
  const payload = {};
  const getRequestOptions = embedScript(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/v1/scripts",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function getEmbeddedScript2() {
  const payload = {};
  const getRequestOptions = getEmbeddedScript(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "GET",
    path: "/v1/scripts",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  embedScript,
  getEmbeddedScript
});
//# sourceMappingURL=meta.js.map